%%
%% appjarfile.tex
%% $Id: appjarfile.tex,v 1.3 2003-10-17 19:45:59 baurma Exp $
%%

\chapter{JNukeJarFile}

%% ------------------------------------------------------------------------
\section{JNukeJarFile\_setJarFileName}

\code{
void                           \\
JNukeJarFile\_setJarFileName ( \\
\tab	JNukeObj *this,        \\
\tab	const char * filename  \\
)
}

\subsubsection{Description}

Set the filename associated with this JAR file object.
The filename can be queried using the \texttt{JNukeJarFile\_getJarFileName}
method.

\subsubsection{Parameters}

\begin{description}
\ttitem{this}
    A reference to a \texttt{JNukeObj} of actual type \texttt{JNukeJarFile}.
\ttitem{filename}
    The filename to be associated with this object.
\end{description}

\subsubsection{Return value}


%% ------------------------------------------------------------------------
\section{JNukeJarFile\_getJarFileName}

\code{
char *                         \\
JNukeJarFile\_getJarFileName ( \\
\tab	const JNukeObj * this  \\
)
}

\subsubsection{Description}

Get filename associated with this JAR file object.

\subsubsection{Parameters}

\begin{description}
\ttitem{this}
    Reference to the JAR file whose file name should be obtained.
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarFile\_getManifest}

\code{
JNukeObj *                    \\
JNukeJarFile\_getManifest (   \\
\tab	const JNukeObj * this \\
)
}

\subsubsection{Description}

Get the \texttt{JNukeJarEntry} object representing the JAR file manifest. The Manifest is
usually stored in a file called \texttt{META-INF/Manifest}. This method is equivalent to
using a call similar to \texttt{JNukeJarFile\_getJarEntry(this, "META-INF/Manifest"}.
The method is provided for convenience only.

\subsubsection{Parameters}

\begin{description}
\ttitem{this}
    A reference to the JAR file whose Manifest entry should be obtained.
\end{description}

\subsubsection{Return value}

If the JAR archive does not feature a Manifest file, the value \texttt{NULL} is
returned.


%% ------------------------------------------------------------------------
\section{JNukeJarFile\_countEntries}

\code{
int                           \\
JNukeJarFile\_countEntries (  \\
\tab	const JNukeObj * this \\
)
}

\subsubsection{Description}

Count the number of entries in the JAR archive.

\subsubsection{Parameters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

This method returns the number of entries in a JAR archive.
If the JAR archive does not contain any entries, i.e. it is empty, the value
0 (zero) is returned.

%% ------------------------------------------------------------------------
\section{JNukeJarFile\_getEntries}

\code{
JNukeObj *                    \\
JNukeJarFile\_getEntries (    \\
\tab	const JNukeObj * this \\
)
}

\subsubsection{Description}

Obtain a vector with JNukeJarEntry objects.

\subsubsection{Parameters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

If the JAR archive does not contain any entries, i.e. it is empty, an empty
vector is returned.


%% ------------------------------------------------------------------------
\section{JNukeJarFile\_open}

\code{
int                              \\
JNukeJarFile\_open (             \\
\tab	JNukeObj * this,         \\
\tab	const char * jarfilename \\
)
}

\subsubsection{Description}

\subsubsection{Parameters}

\begin{description}
\ttitem{this}
\ttitem{jarfilename}
\end{description}

\subsubsection{Return value}


%% ------------------------------------------------------------------------
\section{JNukeJarFile\_readBytes}

\code{
char *                            \\
JNukeJarFile\_readBytes (         \\
\tab	const JNukeObj * this,    \\
\tab	const unsigned long from, \\
\tab	const unsigned long size  \\
)
}

\subsubsection{Description}

\subsubsection{Parameters}

\begin{description}
\ttitem{this}
\ttitem{from}
\ttitem{size}
\end{description}

\subsubsection{Return value}

